<?php

include_once(t3lib_extMgm::extPath('gb_bedraganddrop').'class.ux_tx_cms_layout.php');

require_once(dirname(__FILE__).'/class.tx_filepage_helper.php');

/**
 * this class subclasses ux_tx_cms_layout.
 * 
 * its purpose is to render a custom WEB>PAGE view for file pages.
 *
 */
class ux_ux_tx_cms_layout extends ux_tx_cms_layout {
	
	/**
	 * Renders Content Elements from the tt_content table from page id.
	 * if page is of type "file", this method renders a message box containing the file name, a preview and an edit link.
	 * error conditions are shown, too.
	 *
	 * @param	integer		Page id
	 * @return	string		HTML for the listing
	 */
	function getTable_tt_content($id)	{
		if ($this->pageRecord['doktype'] == tx_filepage_config::get('page_type_id')) {
			return tx_filepage_helper::get_page_view($id, $this->pageRecord, $this->backPath);
		} else {
			return parent::getTable_tt_content($id);
		}
	}
	
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/filepage/class.ux_ux_tx_cms_layout.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/filepage/class.ux_ux_tx_cms_layout.php']);
}

?>