<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$keep_replaced_files= tx_filepage_config::get('keep_replaced_files');
 
$tempColumns = Array (
	'tx_filepage_upload' => Array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:filepage/locallang.xml:pages.tx_filepage_upload',		
		'config' => Array (
			'type' => 'group',
			'internal_type' => 'file',
			'allowed' => tx_filepage_config::get('allowed_ext'),	
			'disallowed' => tx_filepage_config::get('disallowed_ext'),	
			'max_size' => tx_filepage_config::get('max_file_size'),	
			'uploadfolder' => tx_filepage_config::get('uploadfolder'),
			'show_thumbs' => $keep_replaced_files ? tx_filepage_config::get('keep_replaced_files_show_thumbs') : tx_filepage_config::get('delete_replaced_files_show_thumbs'),	
			'size' => $keep_replaced_files ? tx_filepage_config::get('keep_replaced_files_box_height') : tx_filepage_config::get('delete_replaced_files_box_height'),
			'autoSizeMax' => $keep_replaced_files ? tx_filepage_config::get('keep_replaced_files_box_max_auto_height') : tx_filepage_config::get('delete_replaced_files_box_max_auto_height'),	
			'minitems' => $keep_replaced_files ? tx_filepage_config::get('keep_replaced_files_min_files') : tx_filepage_config::get('delete_replaced_files_min_files'),
			'maxitems' => $keep_replaced_files ? tx_filepage_config::get('keep_replaced_files_max_files') : tx_filepage_config::get('delete_replaced_files_max_files'),
			'disable_controls' => $keep_replaced_files ? tx_filepage_config::get('keep_replaced_files_disable_controls') : tx_filepage_config::get('delete_replaced_files_disable_controls'),
			'selectedListStyle' => $keep_replaced_files ? tx_filepage_config::get('keep_replaced_files_box_style') : tx_filepage_config::get('delete_replaced_files_box_style'),
			'wizards' => array(
				'preview' => array(
					'title' => 'set title',
					'type' => 'userFunc',
					'userFunc' => 'EXT:filepage/class.tx_filepage.php:&tx_filepage->set_title_wizard',
				),
			),
		)
	),
);

t3lib_div::loadTCA('pages');
t3lib_extMgm::addTCAcolumns('pages', $tempColumns, 1);
//t3lib_extMgm::addToAllTCAtypes('pages','tx_filepage_upload;;;;1-1-1');

// set a custom icon for our new page type
if (class_exists('t3lib_SpriteManager')) {
	t3lib_SpriteManager::addTcaTypeIcon('pages', tx_filepage_config::get('page_type_id'), t3lib_extMgm::extRelPath('filepage').'res/pix/pagetype.gif');
} else {
	global $PAGES_TYPES;
	$PAGES_TYPES[tx_filepage_config::get('page_type_id')] = Array(
		'type' => 'File',
		'icon' => t3lib_extMgm::extRelPath('filepage').'res/pix/pagetype.gif',
	);	
}

t3lib_extMgm::addLLrefForTCAdescr('pages','EXT:filepage/locallang_csh_'.($keep_replaced_files ? 'keep_replaced_files' : 'delete_replaced_files').'.xml'); // provide context sensitive help

array_splice($TCA['pages']['columns']['doktype']['config']['items'], 3, 0, array(array(  
	0 => 'LLL:EXT:filepage/locallang.xml:pages.tx_filepage_label',
	1 => tx_filepage_config::get('page_type_id'),
	2 => t3lib_extMgm::extRelPath('filepage').'res/pix/pagetype.gif'
    ))
);

$TCA['pages']['types'][(string)tx_filepage_config::get('page_type_id')] = 
	array (
	    'showitem' => 'doktype;;2;button;1-1-1, hidden, nav_hide, title;;3;;2-2-2, subtitle, nav_title, tx_filepage_upload, 
				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.metadata,
					--palette--;LLL:EXT:lang/locallang_general.xml:LGL.author;5;;3-3-3, abstract, keywords, description,
				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.access,
					starttime, endtime, fe_login_mode, fe_group, extendToSubpages,
				--div--;LLL:EXT:cms/locallang_tca.xml:pages.tabs.extended,
			',
	);

?>